Chromium Code Reviews
Help | Chromium Project | Sign in
(22)

Issue 1566047: First cut of Cloud Print Proxy implementation. The code is not enabled for no... (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
6 years, 4 months ago by sanjeevr
Modified:
5 years, 3 months ago
Reviewers:
M-A Ruel
CC:
chromium-reviews, John Grabowski, Paweł Hajdan Jr., pam+watch_chromium.org, ben+cc_chromium.org
Visibility:
Public.

Description

First cut of Cloud Print Proxy implementation. The code is not enabled for now. Soon the cloud print proxy code will move from the browser process to a background process called the service process. BUG=None TEST=None for now Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=45000

Patch Set 1 #

Patch Set 2 : Fixed lint errors #

Patch Set 3 : Fixed line endings and merge issues #

Patch Set 4 : EOL again #

Total comments: 40

Patch Set 5 : Code review changes #

Total comments: 63

Patch Set 6 : Code review changes #

Patch Set 7 : Fixed Linux build error #

Patch Set 8 : More Linux build errors fixed #

Patch Set 9 : Final review changes #

Unified diffs Side-by-side diffs Delta from patch set Stats (+2827 lines, -0 lines) Patch
A chrome/browser/printing/cloud_print/cloud_print_consts.h View 1 2 1 chunk +37 lines, -0 lines 0 comments Download
A chrome/browser/printing/cloud_print/cloud_print_consts.cc View 1 2 3 1 chunk +30 lines, -0 lines 0 comments Download
A chrome/browser/printing/cloud_print/cloud_print_helpers.h View 1 2 3 4 5 1 chunk +71 lines, -0 lines 0 comments Download
A chrome/browser/printing/cloud_print/cloud_print_helpers.cc View 1 2 3 4 5 1 chunk +161 lines, -0 lines 0 comments Download
A chrome/browser/printing/cloud_print/cloud_print_proxy_backend.h View 1 2 3 4 5 1 chunk +70 lines, -0 lines 0 comments Download
A chrome/browser/printing/cloud_print/cloud_print_proxy_backend.cc View 1 2 3 4 5 6 1 chunk +496 lines, -0 lines 0 comments Download
A chrome/browser/printing/cloud_print/cloud_print_proxy_service.h View 1 2 3 4 5 1 chunk +59 lines, -0 lines 0 comments Download
A chrome/browser/printing/cloud_print/cloud_print_proxy_service.cc View 1 2 3 4 5 1 chunk +103 lines, -0 lines 0 comments Download
A chrome/browser/printing/cloud_print/job_status_updater.h View 1 2 3 4 1 chunk +64 lines, -0 lines 0 comments Download
A chrome/browser/printing/cloud_print/job_status_updater.cc View 1 2 3 1 chunk +90 lines, -0 lines 0 comments Download
A chrome/browser/printing/cloud_print/printer_info.h View 1 2 3 4 5 1 chunk +125 lines, -0 lines 0 comments Download
A chrome/browser/printing/cloud_print/printer_info_linux.cc View 1 2 3 4 5 6 7 1 chunk +80 lines, -0 lines 0 comments Download
A chrome/browser/printing/cloud_print/printer_info_mac.cc View 1 2 3 4 5 6 7 1 chunk +80 lines, -0 lines 0 comments Download
A chrome/browser/printing/cloud_print/printer_info_win.cc View 1 2 3 4 5 1 chunk +509 lines, -0 lines 0 comments Download
A chrome/browser/printing/cloud_print/printer_job_handler.h View 1 2 3 4 5 6 7 8 1 chunk +240 lines, -0 lines 0 comments Download
A chrome/browser/printing/cloud_print/printer_job_handler.cc View 1 2 3 4 5 1 chunk +560 lines, -0 lines 0 comments Download
M chrome/browser/profile.h View 1 2 4 chunks +7 lines, -0 lines 0 comments Download
M chrome/browser/profile.cc View 1 2 4 chunks +17 lines, -0 lines 0 comments Download
M chrome/chrome_browser.gypi View 1 2 1 chunk +16 lines, -0 lines 0 comments Download
M chrome/chrome_dll.gypi View 1 2 1 chunk +1 line, -0 lines 0 comments Download
M chrome/common/pref_names.h View 1 2 1 chunk +4 lines, -0 lines 0 comments Download
M chrome/common/pref_names.cc View 1 2 1 chunk +6 lines, -0 lines 0 comments Download
M chrome/test/testing_profile.h View 1 2 1 chunk +1 line, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 7 (0 generated)
sanjeevr
6 years, 4 months ago (2010-04-16 02:10:12 UTC) #1
M-A Ruel
http://codereview.chromium.org/1566047/diff/45001/35011 File chrome/browser/printing/cloud_print/cloud_print_helpers.cc (right): http://codereview.chromium.org/1566047/diff/45001/35011#newcode102 chrome/browser/printing/cloud_print/cloud_print_helpers.cc:102: message_value.release(); remove http://codereview.chromium.org/1566047/diff/45001/35011#newcode111 chrome/browser/printing/cloud_print/cloud_print_helpers.cc:111: std::string headers = "Authorization: GoogleLogin ...
6 years, 4 months ago (2010-04-16 03:18:09 UTC) #2
sanjeevr
I made all the changes and uploaded a new patch. I also had to add ...
6 years, 4 months ago (2010-04-16 16:29:33 UTC) #3
M-A Ruel
Previous changes ok. http://codereview.chromium.org/1566047/diff/54001/52010 File chrome/browser/printing/cloud_print/cloud_print_helpers.cc (right): http://codereview.chromium.org/1566047/diff/54001/52010#newcode156 chrome/browser/printing/cloud_print/cloud_print_helpers.cc:156: void CloudPrintHelpers::CreateMimeBoundaryForUpload(std::string *out) { std::string* out ...
6 years, 4 months ago (2010-04-19 19:07:37 UTC) #4
sanjeevr
Made the changes and uploaded a new patch. http://codereview.chromium.org/1566047/diff/54001/52010 File chrome/browser/printing/cloud_print/cloud_print_helpers.cc (right): http://codereview.chromium.org/1566047/diff/54001/52010#newcode156 chrome/browser/printing/cloud_print/cloud_print_helpers.cc:156: void ...
6 years, 4 months ago (2010-04-19 21:17:59 UTC) #5
M-A Ruel
Basically lgtm with one small change (no need to wait for me) http://codereview.chromium.org/1566047/diff/54001/52013 File chrome/browser/printing/cloud_print/printer_job_handler.cc ...
6 years, 4 months ago (2010-04-19 23:01:27 UTC) #6
sanjeevr
6 years, 4 months ago (2010-04-20 04:09:51 UTC) #7
Fixed and submitted.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld e15fb99